Ok, here is the solution what works for me, finally

yum install akmod-wl
yum install kernel-devel
modprobe wl

kmod-wl has broken dependencies (always point to wrong kernel) and for some reason akmod-wl does not work with regular kernel, only with kernel-devel.

I was in love with old fedora, but the newest one disappoints me.. think I’ll switch to CentOS or Arch after some investigations.